time = {}

function time.load()
  dt = love.timer.getAverageDelta() / 2

  canCountdown = true -- Can the timer count?

  remainingTime = 60 -- How many seconds are there?
  gameover = false -- Is it game over?
end

function time.update(dt)
  if canCountdown == true then -- If the timer can count down, let it.
    remainingTime = remainingTime - dt
  end

  if remainingTime <= 0 then -- If the timer reaches 0, then...
    canCountdown = false -- It can no longer count down.
    gameover = true -- The game is over

    remainingTime = 0 -- Without this the timer may go over 0 (It may come up with a number like 0.003)
  end
end

function time.draw()
  love.graphics.print(remainingTime .. " Seconds remaining!", 0, 30) -- Draw the time
  love.graphics.print("love.timer.getFPS(): " .. love.timer.getFPS(), 0, 45)
  love.graphics.print("love.timer.getAverageDelta(): " .. love.timer.getAverageDelta(), 0, 60)
end

return time
